package de.pm.xenserver.test;

import java.net.URL;
import java.util.Map;

import com.xensource.xenapi.Connection;
import com.xensource.xenapi.Host;
import com.xensource.xenapi.Session;
import com.xensource.xenapi.Task;

import de.pm.xenserver.utils.Server;

public class TestAPI {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		
		if (args.length != 3 && args.length != 5)
	    {
			System.out.println("Expected arguments: <host> <username> <password> [nfs server] [nfs path]");
	        return;
	    }
	        
		Server server = new Server(args[0], args[1], args[2]);
		URL url = new URL("http://" + server.getHostname());
		final Connection con = new Connection(url);
		Session session = Session.loginWithPassword(con, server.getUsername(), server.getPassword(), "1.3");
		
		Host host = session.getThisHost(con);
		
		Map<Host, Host.Record> allhostrecs = host.getAllRecords(con);
		System.out.println("got: " + allhostrecs.size() + " records");
		if (allhostrecs.size() > 0)
		{
			System.out.println(allhostrecs.values().toArray()[0].toString());
		}
		
		Map<Task, Task.Record> allrecords = Task.getAllRecords(con);
		System.out.println("got: " + allrecords.size() + " records");
		if (allrecords.size() > 0)
		{
			System.out.println(allrecords.values().toArray()[0].toString());
		}
		
		Session.logout(con);
	}

}
